Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041438
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalhave not tried2019-07-23 16:122019-08-22 14:45
ReportercbernerView Statuspublic 
Assigned Tocberner 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionac845caf1e70
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelCoding ( Testing )
Regression date2019-05-20
Regression introduced in releasemain
Regression introduced by commithttp://code.openbravo.com/erp/devel/pi/rev/4dc58edab48f2f9e20cfce74f557827e43919803 [^]
Triggers an Emergency PackNo
Summary

0041438: Process.getADProcessParameterList has been removed and was in use

DescriptionAs part of this issue [1], some one-to-many child methods were removed, assuming that they were not in use.

But the service contract module was found to be using Process.getADProcessParameterList, resulting in a build error.

[1] https://issues.openbravo.com/view.php?id=40906 [^]
Steps To Reproduce- Install the service contract module [1] and its dependencies: Contract management infrastructure [2]
- Compile: ant smartbuild -Dlocal=no
- The following error is shown in the log:

compileSqlc:
    [javac] Compiling 72 source files to /home/openbravo/ws/pi/openbravo/build/classes
    [javac] /home/openbravo/ws/pi/openbravo/modules/org.openbravo.contract.services/src/org/openbravo/contract/services/process/dao/ProcessServiceContractBackgroundDao.java:70: error: cannot find symbol
    [javac] return OBDal.getInstance().get(Process.class, processId).getADProcessParameterList().get(0)
    [javac] ^
    [javac] symbol: method getADProcessParameterList()
    [javac] location: class Process
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] 1 error

[1] https://code.openbravo.com/erp/pmods/org.openbravo.contract.services [^]
[2] https://code.openbravo.com/erp/mods/org.openbravo.contract [^]
Proposed SolutionChange the IS_CHILD_PROPERTY_IN_PARENT to Y for the problematic column, so that its child property is included in its parent entity.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00414393.0PR19Q3 closedcberner Process.getADProcessParameterList has been removed and was in use 

-  Notes
(0113661)
hgbot (developer)
2019-07-26 08:32

Repository: erp/devel/pi
Changeset: ac845caf1e70733f1a3ca6f7677367e0b05a5fee
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Tue Jul 23 17:43:08 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ac845caf1e70733f1a3ca6f7677367e0b05a5fee [^]

fixes issue 41438: Process.getADProcessParameterList is generated again

Flag IS_CHILD_PROPERTY_IN_PARENT has been changed to Y on column AD_Process_ID in table ADProcessParameter
so it generates Process.getADProcessParameterList again. Fixes module "service contract".

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0113667)
AugustoMauch (developer)
2019-07-26 08:38

Code reviewed and verified
(0114177)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-23 16:12 cberner New Issue
2019-07-23 16:12 cberner Assigned To => cberner
2019-07-23 16:12 cberner Modules => Core
2019-07-23 16:12 cberner Regression level => Coding ( Testing )
2019-07-23 16:12 cberner Regression date => 2019-05-20
2019-07-23 16:12 cberner Regression introduced in release => main
2019-07-23 16:12 cberner Regression introduced by commit => http://code.openbravo.com/erp/devel/pi/rev/4dc58edab48f2f9e20cfce74f557827e43919803 [^]
2019-07-23 16:12 cberner Triggers an Emergency Pack => No
2019-07-23 16:16 cberner Status new => scheduled
2019-07-23 16:36 cberner Steps to Reproduce Updated View Revisions
2019-07-26 08:32 hgbot Checkin
2019-07-26 08:32 hgbot Note Added: 0113661
2019-07-26 08:32 hgbot Status scheduled => resolved
2019-07-26 08:32 hgbot Resolution open => fixed
2019-07-26 08:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ac845caf1e70733f1a3ca6f7677367e0b05a5fee [^]
2019-07-26 08:38 AugustoMauch Review Assigned To => AugustoMauch
2019-07-26 08:38 AugustoMauch Note Added: 0113667
2019-07-26 08:38 AugustoMauch Status resolved => closed
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114177


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker